process
List all processes
Get a list of all running and completed processes
GET
List all processes
Authorizations
Sandbox access token created through POST /v1/token.
Response
200 - application/json
Process list
Example:
"ls -la"
Completion time, same format as startedAt. Empty string while the process runs
Example:
"Wed, 01 Jan 2023 12:01:00 GMT"
Example:
0
Example:
"logs output"
Example:
"my-process"
Example:
"1234"
Start time as an HTTP date (RFC 1123, e.g. Wed, 01 Jan 2023 12:00:00 GMT)
Example:
"Wed, 01 Jan 2023 12:00:00 GMT"
Available options:
failed, killed, stopped, running, completed Example:
"running"
Example:
"stderr output"
Example:
"stdout output"
Example:
"/home/user"
Whether scale-to-zero is disabled for this process
Example:
false
Example:
3
Example:
2
Example:
true
Whether the process was started with a writable stdin pipe
Example:
false